---
layout: markdown_page
title: "Group Direction - Dynamic Analysis"
description: "GitLab's goal is to provide Dynamic Analysis as part of the standard development process. Learn more!"
canonical_path: "/direction/secure/dynamic-analysis/"
---

- TOC
{:toc}

## Dynamic Analysis

| | |
| --- | --- |
| Stage | [Secure](/direction/secure/) |
| Content Last Reviewed | `2024-03-04` |
| Content Last Updated  | `2024-03-04` |

## Overview

Dynamic Analysis is a group in the Secure stage.  There are three categories in the group and details on the direction can be viewed on the following individual category pages:

1. [DAST](https://about.gitlab.com/direction/secure/dynamic-analysis/dast/)
1. [API Security](https://about.gitlab.com/direction/secure/dynamic-analysis/api-security/)
1. [Fuzz Testing](https://about.gitlab.com/direction/secure/dynamic-analysis/fuzz-testing/))



## Priorities

| Priority | Name | Target release |
| -------- | ---- | -------------- | 
<% data.product_priorities.dynamic_analysis.priorities.each.with_index do |priority, index| %>
| <%= index + 1 %> | [<%= priority.name %>](<%= priority.url %>) | `<%= priority.target_release.presence || "TBD" %>`  |
<% end %>

*This page may contain information related to upcoming products, features and functionality.

It is important to note that the information presented is for informational purposes only, so please do not rely on the information for purchasing or planning purposes.

Just like with all projects, the items mentioned on the page are subject to change or delay, and the development, release, and timing of any products, features, or functionality remain at the sole discretion of GitLab Inc.*